rocket_contrib 0.4.0

Community contributed libraries for the Rocket web framework.
# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g. crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
name = "rocket_contrib"
version = "0.4.0"
authors = ["Sergio Benitez <sb@sergio.bz>"]
description = "Community contributed libraries for the Rocket web framework."
homepage = "https://rocket.rs"
documentation = "https://api.rocket.rs/v0.4/rocket_contrib/"
readme = "../../README.md"
keywords = ["rocket", "web", "framework", "contrib", "contributed"]
license = "MIT/Apache-2.0"
repository = "https://github.com/SergioBenitez/Rocket"
[package.metadata.docs.rs]
all-features = true
[dependencies.diesel]
version = "1.0"
optional = true
default-features = false

[dependencies.glob]
version = "0.2"
optional = true

[dependencies.handlebars]
version = "1.0"
optional = true

[dependencies.log]
version = "0.4"

[dependencies.mongodb]
version = "0.3.12"
optional = true

[dependencies.mysql]
version = "14"
optional = true

[dependencies.postgres]
version = "0.15"
optional = true

[dependencies.r2d2]
version = "0.8"
optional = true

[dependencies.r2d2-mongodb]
version = "0.2.0"
optional = true

[dependencies.r2d2_cypher]
version = "0.4"
optional = true

[dependencies.r2d2_mysql]
version = "9"
optional = true

[dependencies.r2d2_postgres]
version = "0.14"
optional = true

[dependencies.r2d2_redis]
version = "0.8"
optional = true

[dependencies.r2d2_sqlite]
version = "0.6"
optional = true

[dependencies.redis]
version = "0.9"
optional = true

[dependencies.rmp-serde]
version = "^0.13"
optional = true

[dependencies.rocket]
version = "0.4.0"

[dependencies.rocket_contrib_codegen]
version = "0.4.0"
optional = true

[dependencies.rusqlite]
version = "0.14.0"
optional = true

[dependencies.rusted_cypher]
version = "1"
optional = true

[dependencies.serde]
version = "1.0"
optional = true

[dependencies.serde_json]
version = "1.0.26"
optional = true

[dependencies.tera]
version = "0.11"
optional = true

[dependencies.time]
version = "0.1.40"
optional = true

[dependencies.uuid]
version = "0.7"
optional = true

[features]
cypher_pool = ["databases", "rusted_cypher", "r2d2_cypher"]
databases = ["r2d2", "rocket_contrib_codegen/database_attribute"]
default = ["json", "serve"]
diesel_mysql_pool = ["databases", "diesel/mysql", "diesel/r2d2"]
diesel_postgres_pool = ["databases", "diesel/postgres", "diesel/r2d2"]
diesel_sqlite_pool = ["databases", "diesel/sqlite", "diesel/r2d2"]
handlebars_templates = ["handlebars", "templates"]
helmet = ["time"]
json = ["serde", "serde_json"]
mongodb_pool = ["databases", "mongodb", "r2d2-mongodb"]
msgpack = ["serde", "rmp-serde"]
mysql_pool = ["databases", "mysql", "r2d2_mysql"]
postgres_pool = ["databases", "postgres", "r2d2_postgres"]
redis_pool = ["databases", "redis", "r2d2_redis"]
serve = []
sqlite_pool = ["databases", "rusqlite", "r2d2_sqlite"]
templates = ["serde", "serde_json", "glob"]
tera_templates = ["tera", "templates"]
[target."cfg(debug_assertions)".dependencies.notify]
version = "^4.0.6"